% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/liPosteriors.R
\name{postLambdai}
\alias{postLambdai}
\title{Compute random draw from full conditional posterior for lambda_i in Li algorithm.}
\usage{
postLambdai(yij, sij, priorK, priorG)
}
\arguments{
\item{yij}{Vector of observed values for individual i.}

\item{sij}{Vector of cycle skip indicators for individual i.}

\item{priorK}{Prior hyperparameter kappa.}

\item{priorG}{Prior hyperparameter gamma.}
}
\value{
A random draw from the posterior distribution of lambda_i.
}
\description{
This function calculates a random draw from the full conditional posterior distribution
for lambda_i in the Li algorithm, given the observed values y_ij, the indicators s_ij,
and the prior hyperparameters priorK and priorG.
}
